Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class NTCredentials

    java.lang.Object
      org.apache.commons.httpclient.UsernamePasswordCredentials
          org.apache.commons.httpclient.NTCredentials

All Implemented Interfaces:
  Credentials

    public class NTCredentials

extends UsernamePasswordCredentials

`Credentials` for use with the NTLM authentication scheme which requires additional information.

Since:
  2.0
Version:
  $Revision: 480424 $ $Date: 2006-11-29 06:56:49 +0100 (Wed, 29 Nov 2006) $
Author:
  Adrian Sutton, Mike Bowler

Constructor Summary
`NTCredentials()` Deprecated. Do not use. Null user name, domain & host no longer allowed
`NTCredentials(String userName, String password, String host, String domain)` Constructor.

Method Summary
`boolean` | `equals(Object o)` Performs a case-sensitive check to see if the components of the credentials are the same.
`String` | `getDomain()` Retrieves the name to authenticate with.
`String` | `getHost()` Retrieves the host name of the computer originating the request.
`int` | `hashCode()` Computes a hash code based on all the case-sensitive parts of the credentials object.
`void` | `setDomain(String domain)` Deprecated. Do not use. The NTCredentials objects should be immutable
`void` | `setHost(String host)` Deprecated. Do not use. The NTCredentials objects should be immutable
`String` | `toString()` Return a string representation of this object.

Methods inherited from class org.apache.commons.httpclient.UsernamePasswordCredentials
`getPassword, getUserName, setPassword, setUserName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NTCredentials

    public NTCredentials()

  Deprecated. Do not use. Null user name, domain & host no longer allowed

  Default constructor.

### NTCredentials

    public NTCredentials(String userName,
                         String password,
                         String host,
                         String domain)

  Constructor.

  Parameters:
    `userName` - The user name. This should not include the domain to authenticate with. For example: "user" is correct whereas "DOMAIN\\user" is not.
    `password` - The password.
    `host` - The host the authentication request is originating from. Essentially, the computer name for this machine.
    `domain` - The domain to authenticate within.

Method Detail

### setDomain

    public void setDomain(String domain)

  Deprecated. Do not use. The NTCredentials objects should be immutable

  Sets the domain to authenticate with. The domain may not be null.

  Parameters:
    `domain` - the NT domain to authenticate in.
  See Also:
    `getDomain()`

### getDomain

    public String getDomain()

  Retrieves the name to authenticate with.

  Returns:
    String the domain these credentials are intended to authenticate with.
  See Also:
    `setDomain(String)`

### setHost

    public void setHost(String host)

  Deprecated. Do not use. The NTCredentials objects should be immutable

  Sets the host name of the computer originating the request. The host name may not be null.

  Parameters:
    `host` - the Host the user is logged into.

### getHost

    public String getHost()

  Retrieves the host name of the computer originating the request.

  Returns:
    String the host the user is logged into.

### toString

    public String toString()

  Return a string representation of this object.

  Overrides:
    `toString` in class `UsernamePasswordCredentials`
  Returns:
    A string represenation of this object.

### hashCode

    public int hashCode()

  Computes a hash code based on all the case-sensitive parts of the credentials object.

  Overrides:
    `hashCode` in class `UsernamePasswordCredentials`
  Returns:
    The hash code for the credentials.

### equals

    public boolean equals(Object o)

  Performs a case-sensitive check to see if the components of the credentials are the same.

  Overrides:
    `equals` in class `UsernamePasswordCredentials`
  Parameters:
    `o` - The object to match.
  Returns:
    `true` if all of the credentials match.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.